source: configure @ 1c6c4d3

barnowl_perlaimdebianowlrelease-1.4release-1.5release-1.6release-1.7release-1.8release-1.9
Last change on this file since 1c6c4d3 was 6794f72, checked in by James M. Kretchmar <kretch@mit.edu>, 19 years ago
Refixed 'login or login' typo in help Fixed M-u description Removed 'first' and 'last' from basic command help Added M-N to basic key help Added M-D, M-u to basic key help Fixed a quoting problem in configure.in Changed top of help to use 'show' instead of M-x
  • Property mode set to 100755
File size: 59.7 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60  # If the previous option needs an argument, assign it.
61  if test -n "$ac_prev"; then
62    eval "$ac_prev=\$ac_option"
63    ac_prev=
64    continue
65  fi
66
67  case "$ac_option" in
68  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69  *) ac_optarg= ;;
70  esac
71
72  # Accept the important Cygnus configure options, so we can diagnose typos.
73
74  case "$ac_option" in
75
76  -bindir | --bindir | --bindi | --bind | --bin | --bi)
77    ac_prev=bindir ;;
78  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79    bindir="$ac_optarg" ;;
80
81  -build | --build | --buil | --bui | --bu)
82    ac_prev=build ;;
83  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84    build="$ac_optarg" ;;
85
86  -cache-file | --cache-file | --cache-fil | --cache-fi \
87  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88    ac_prev=cache_file ;;
89  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91    cache_file="$ac_optarg" ;;
92
93  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94    ac_prev=datadir ;;
95  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96  | --da=*)
97    datadir="$ac_optarg" ;;
98
99  -disable-* | --disable-*)
100    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101    # Reject names that are not valid shell variable names.
102    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104    fi
105    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106    eval "enable_${ac_feature}=no" ;;
107
108  -enable-* | --enable-*)
109    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110    # Reject names that are not valid shell variable names.
111    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113    fi
114    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115    case "$ac_option" in
116      *=*) ;;
117      *) ac_optarg=yes ;;
118    esac
119    eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123  | --exec | --exe | --ex)
124    ac_prev=exec_prefix ;;
125  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127  | --exec=* | --exe=* | --ex=*)
128    exec_prefix="$ac_optarg" ;;
129
130  -gas | --gas | --ga | --g)
131    # Obsolete; use --with-gas.
132    with_gas=yes ;;
133
134  -help | --help | --hel | --he)
135    # Omit some internal or obsolete options to make the list less imposing.
136    # This message is too long to be a string in the A/UX 3.1 sh.
137    cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141  --cache-file=FILE       cache test results in FILE
142  --help                  print this message
143  --no-create             do not create output files
144  --quiet, --silent       do not print \`checking...' messages
145  --version               print the version of autoconf that created configure
146Directory and file names:
147  --prefix=PREFIX         install architecture-independent files in PREFIX
148                          [$ac_default_prefix]
149  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
150                          [same as prefix]
151  --bindir=DIR            user executables in DIR [EPREFIX/bin]
152  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
153  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
154  --datadir=DIR           read-only architecture-independent data in DIR
155                          [PREFIX/share]
156  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
157  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
158                          [PREFIX/com]
159  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
160  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
161  --includedir=DIR        C header files in DIR [PREFIX/include]
162  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
163  --infodir=DIR           info documentation in DIR [PREFIX/info]
164  --mandir=DIR            man documentation in DIR [PREFIX/man]
165  --srcdir=DIR            find the sources in DIR [configure dir or ..]
166  --program-prefix=PREFIX prepend PREFIX to installed program names
167  --program-suffix=SUFFIX append SUFFIX to installed program names
168  --program-transform-name=PROGRAM
169                          run sed PROGRAM on installed program names
170EOF
171    cat << EOF
172Host type:
173  --build=BUILD           configure for building on BUILD [BUILD=HOST]
174  --host=HOST             configure for HOST [guessed]
175  --target=TARGET         configure for TARGET [TARGET=HOST]
176Features and packages:
177  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
178  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
179  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
180  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
181  --x-includes=DIR        X include files are in DIR
182  --x-libraries=DIR       X library files are in DIR
183EOF
184    if test -n "$ac_help"; then
185      echo "--enable and --with options recognized:$ac_help"
186    fi
187    exit 0 ;;
188
189  -host | --host | --hos | --ho)
190    ac_prev=host ;;
191  -host=* | --host=* | --hos=* | --ho=*)
192    host="$ac_optarg" ;;
193
194  -includedir | --includedir | --includedi | --included | --include \
195  | --includ | --inclu | --incl | --inc)
196    ac_prev=includedir ;;
197  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198  | --includ=* | --inclu=* | --incl=* | --inc=*)
199    includedir="$ac_optarg" ;;
200
201  -infodir | --infodir | --infodi | --infod | --info | --inf)
202    ac_prev=infodir ;;
203  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204    infodir="$ac_optarg" ;;
205
206  -libdir | --libdir | --libdi | --libd)
207    ac_prev=libdir ;;
208  -libdir=* | --libdir=* | --libdi=* | --libd=*)
209    libdir="$ac_optarg" ;;
210
211  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212  | --libexe | --libex | --libe)
213    ac_prev=libexecdir ;;
214  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215  | --libexe=* | --libex=* | --libe=*)
216    libexecdir="$ac_optarg" ;;
217
218  -localstatedir | --localstatedir | --localstatedi | --localstated \
219  | --localstate | --localstat | --localsta | --localst \
220  | --locals | --local | --loca | --loc | --lo)
221    ac_prev=localstatedir ;;
222  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225    localstatedir="$ac_optarg" ;;
226
227  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228    ac_prev=mandir ;;
229  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230    mandir="$ac_optarg" ;;
231
232  -nfp | --nfp | --nf)
233    # Obsolete; use --without-fp.
234    with_fp=no ;;
235
236  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237  | --no-cr | --no-c)
238    no_create=yes ;;
239
240  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242    no_recursion=yes ;;
243
244  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246  | --oldin | --oldi | --old | --ol | --o)
247    ac_prev=oldincludedir ;;
248  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251    oldincludedir="$ac_optarg" ;;
252
253  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254    ac_prev=prefix ;;
255  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256    prefix="$ac_optarg" ;;
257
258  -program-prefix | --program-prefix | --program-prefi | --program-pref \
259  | --program-pre | --program-pr | --program-p)
260    ac_prev=program_prefix ;;
261  -program-prefix=* | --program-prefix=* | --program-prefi=* \
262  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263    program_prefix="$ac_optarg" ;;
264
265  -program-suffix | --program-suffix | --program-suffi | --program-suff \
266  | --program-suf | --program-su | --program-s)
267    ac_prev=program_suffix ;;
268  -program-suffix=* | --program-suffix=* | --program-suffi=* \
269  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270    program_suffix="$ac_optarg" ;;
271
272  -program-transform-name | --program-transform-name \
273  | --program-transform-nam | --program-transform-na \
274  | --program-transform-n | --program-transform- \
275  | --program-transform | --program-transfor \
276  | --program-transfo | --program-transf \
277  | --program-trans | --program-tran \
278  | --progr-tra | --program-tr | --program-t)
279    ac_prev=program_transform_name ;;
280  -program-transform-name=* | --program-transform-name=* \
281  | --program-transform-nam=* | --program-transform-na=* \
282  | --program-transform-n=* | --program-transform-=* \
283  | --program-transform=* | --program-transfor=* \
284  | --program-transfo=* | --program-transf=* \
285  | --program-trans=* | --program-tran=* \
286  | --progr-tra=* | --program-tr=* | --program-t=*)
287    program_transform_name="$ac_optarg" ;;
288
289  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290  | -silent | --silent | --silen | --sile | --sil)
291    silent=yes ;;
292
293  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294    ac_prev=sbindir ;;
295  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296  | --sbi=* | --sb=*)
297    sbindir="$ac_optarg" ;;
298
299  -sharedstatedir | --sharedstatedir | --sharedstatedi \
300  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301  | --sharedst | --shareds | --shared | --share | --shar \
302  | --sha | --sh)
303    ac_prev=sharedstatedir ;;
304  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307  | --sha=* | --sh=*)
308    sharedstatedir="$ac_optarg" ;;
309
310  -site | --site | --sit)
311    ac_prev=site ;;
312  -site=* | --site=* | --sit=*)
313    site="$ac_optarg" ;;
314
315  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316    ac_prev=srcdir ;;
317  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318    srcdir="$ac_optarg" ;;
319
320  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321  | --syscon | --sysco | --sysc | --sys | --sy)
322    ac_prev=sysconfdir ;;
323  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325    sysconfdir="$ac_optarg" ;;
326
327  -target | --target | --targe | --targ | --tar | --ta | --t)
328    ac_prev=target ;;
329  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330    target="$ac_optarg" ;;
331
332  -v | -verbose | --verbose | --verbos | --verbo | --verb)
333    verbose=yes ;;
334
335  -version | --version | --versio | --versi | --vers)
336    echo "configure generated by autoconf version 2.13"
337    exit 0 ;;
338
339  -with-* | --with-*)
340    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341    # Reject names that are not valid shell variable names.
342    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344    fi
345    ac_package=`echo $ac_package| sed 's/-/_/g'`
346    case "$ac_option" in
347      *=*) ;;
348      *) ac_optarg=yes ;;
349    esac
350    eval "with_${ac_package}='$ac_optarg'" ;;
351
352  -without-* | --without-*)
353    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354    # Reject names that are not valid shell variable names.
355    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357    fi
358    ac_package=`echo $ac_package| sed 's/-/_/g'`
359    eval "with_${ac_package}=no" ;;
360
361  --x)
362    # Obsolete; use --with-x.
363    with_x=yes ;;
364
365  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366  | --x-incl | --x-inc | --x-in | --x-i)
367    ac_prev=x_includes ;;
368  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370    x_includes="$ac_optarg" ;;
371
372  -x-libraries | --x-libraries | --x-librarie | --x-librari \
373  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374    ac_prev=x_libraries ;;
375  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377    x_libraries="$ac_optarg" ;;
378
379  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380    ;;
381
382  *)
383    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384      echo "configure: warning: $ac_option: invalid host type" 1>&2
385    fi
386    if test "x$nonopt" != xNONE; then
387      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388    fi
389    nonopt="$ac_option"
390    ;;
391
392  esac
393done
394
395if test -n "$ac_prev"; then
396  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410  exec 6>/dev/null
411else
412  exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426  case "$ac_arg" in
427  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428  | --no-cr | --no-c) ;;
429  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434  esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set.  These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=owl.c
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458  ac_srcdir_defaulted=yes
459  # Try the directory containing this script, then its parent.
460  ac_prog=$0
461  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463  srcdir=$ac_confdir
464  if test ! -r $srcdir/$ac_unique_file; then
465    srcdir=..
466  fi
467else
468  ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471  if test "$ac_srcdir_defaulted" = yes; then
472    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473  else
474    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475  fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481  if test "x$prefix" != xNONE; then
482    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483  else
484    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485  fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488  if test -r "$ac_site_file"; then
489    echo "loading site script $ac_site_file"
490    . "$ac_site_file"
491  fi
492done
493
494if test -r "$cache_file"; then
495  echo "loading cache $cache_file"
496  . $cache_file
497else
498  echo "creating cache $cache_file"
499  > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514    ac_n= ac_c='
515' ac_t='        '
516  else
517    ac_n=-n ac_c= ac_t=
518  fi
519else
520  ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525
526
527# Extract the first word of "gcc", so it can be a program name with args.
528set dummy gcc; ac_word=$2
529echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
530echo "configure:531: checking for $ac_word" >&5
531if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
532  echo $ac_n "(cached) $ac_c" 1>&6
533else
534  if test -n "$CC"; then
535  ac_cv_prog_CC="$CC" # Let the user override the test.
536else
537  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
538  ac_dummy="$PATH"
539  for ac_dir in $ac_dummy; do
540    test -z "$ac_dir" && ac_dir=.
541    if test -f $ac_dir/$ac_word; then
542      ac_cv_prog_CC="gcc"
543      break
544    fi
545  done
546  IFS="$ac_save_ifs"
547fi
548fi
549CC="$ac_cv_prog_CC"
550if test -n "$CC"; then
551  echo "$ac_t""$CC" 1>&6
552else
553  echo "$ac_t""no" 1>&6
554fi
555
556if test -z "$CC"; then
557  # Extract the first word of "cc", so it can be a program name with args.
558set dummy cc; ac_word=$2
559echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
560echo "configure:561: checking for $ac_word" >&5
561if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
562  echo $ac_n "(cached) $ac_c" 1>&6
563else
564  if test -n "$CC"; then
565  ac_cv_prog_CC="$CC" # Let the user override the test.
566else
567  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
568  ac_prog_rejected=no
569  ac_dummy="$PATH"
570  for ac_dir in $ac_dummy; do
571    test -z "$ac_dir" && ac_dir=.
572    if test -f $ac_dir/$ac_word; then
573      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
574        ac_prog_rejected=yes
575        continue
576      fi
577      ac_cv_prog_CC="cc"
578      break
579    fi
580  done
581  IFS="$ac_save_ifs"
582if test $ac_prog_rejected = yes; then
583  # We found a bogon in the path, so make sure we never use it.
584  set dummy $ac_cv_prog_CC
585  shift
586  if test $# -gt 0; then
587    # We chose a different compiler from the bogus one.
588    # However, it has the same basename, so the bogon will be chosen
589    # first if we set CC to just the basename; use the full file name.
590    shift
591    set dummy "$ac_dir/$ac_word" "$@"
592    shift
593    ac_cv_prog_CC="$@"
594  fi
595fi
596fi
597fi
598CC="$ac_cv_prog_CC"
599if test -n "$CC"; then
600  echo "$ac_t""$CC" 1>&6
601else
602  echo "$ac_t""no" 1>&6
603fi
604
605  if test -z "$CC"; then
606    case "`uname -s`" in
607    *win32* | *WIN32*)
608      # Extract the first word of "cl", so it can be a program name with args.
609set dummy cl; ac_word=$2
610echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
611echo "configure:612: checking for $ac_word" >&5
612if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
613  echo $ac_n "(cached) $ac_c" 1>&6
614else
615  if test -n "$CC"; then
616  ac_cv_prog_CC="$CC" # Let the user override the test.
617else
618  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS=":"
619  ac_dummy="$PATH"
620  for ac_dir in $ac_dummy; do
621    test -z "$ac_dir" && ac_dir=.
622    if test -f $ac_dir/$ac_word; then
623      ac_cv_prog_CC="cl"
624      break
625    fi
626  done
627  IFS="$ac_save_ifs"
628fi
629fi
630CC="$ac_cv_prog_CC"
631if test -n "$CC"; then
632  echo "$ac_t""$CC" 1>&6
633else
634  echo "$ac_t""no" 1>&6
635fi
636 ;;
637    esac
638  fi
639  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
640fi
641
642echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
643echo "configure:644: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
644
645ac_ext=c
646# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
647ac_cpp='$CPP $CPPFLAGS'
648ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
649ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
650cross_compiling=$ac_cv_prog_cc_cross
651
652cat > conftest.$ac_ext << EOF
653
654#line 655 "configure"
655#include "confdefs.h"
656
657main(){return(0);}
658EOF
659if { (eval echo configure:660: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
660  ac_cv_prog_cc_works=yes
661  # If we can't run a trivial program, we are probably using a cross compiler.
662  if (./conftest; exit) 2>/dev/null; then
663    ac_cv_prog_cc_cross=no
664  else
665    ac_cv_prog_cc_cross=yes
666  fi
667else
668  echo "configure: failed program was:" >&5
669  cat conftest.$ac_ext >&5
670  ac_cv_prog_cc_works=no
671fi
672rm -fr conftest*
673ac_ext=c
674# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
675ac_cpp='$CPP $CPPFLAGS'
676ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
677ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
678cross_compiling=$ac_cv_prog_cc_cross
679
680echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
681if test $ac_cv_prog_cc_works = no; then
682  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
683fi
684echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
685echo "configure:686: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
686echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
687cross_compiling=$ac_cv_prog_cc_cross
688
689echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
690echo "configure:691: checking whether we are using GNU C" >&5
691if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
692  echo $ac_n "(cached) $ac_c" 1>&6
693else
694  cat > conftest.c <<EOF
695#ifdef __GNUC__
696  yes;
697#endif
698EOF
699if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:700: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
700  ac_cv_prog_gcc=yes
701else
702  ac_cv_prog_gcc=no
703fi
704fi
705
706echo "$ac_t""$ac_cv_prog_gcc" 1>&6
707
708if test $ac_cv_prog_gcc = yes; then
709  GCC=yes
710else
711  GCC=
712fi
713
714ac_test_CFLAGS="${CFLAGS+set}"
715ac_save_CFLAGS="$CFLAGS"
716CFLAGS=
717echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
718echo "configure:719: checking whether ${CC-cc} accepts -g" >&5
719if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
720  echo $ac_n "(cached) $ac_c" 1>&6
721else
722  echo 'void f(){}' > conftest.c
723if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
724  ac_cv_prog_cc_g=yes
725else
726  ac_cv_prog_cc_g=no
727fi
728rm -f conftest*
729
730fi
731
732echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
733if test "$ac_test_CFLAGS" = set; then
734  CFLAGS="$ac_save_CFLAGS"
735elif test $ac_cv_prog_cc_g = yes; then
736  if test "$GCC" = yes; then
737    CFLAGS="-g -O2"
738  else
739    CFLAGS="-g"
740  fi
741else
742  if test "$GCC" = yes; then
743    CFLAGS="-O2"
744  else
745    CFLAGS=
746  fi
747fi
748
749
750if test "$GCC" = yes; then
751     CFLAGS="$CFLAGS -Wall -g";
752fi
753
754echo $ac_n "checking for /usr/athena/include""... $ac_c" 1>&6
755echo "configure:756: checking for /usr/athena/include" >&5
756if test -d /usr/athena/include; then
757        CFLAGS=${CFLAGS}\ -I/usr/athena/include
758        echo "$ac_t""yes" 1>&6
759else
760        echo "$ac_t""no" 1>&6
761fi
762echo $ac_n "checking for /usr/athena/lib""... $ac_c" 1>&6
763echo "configure:764: checking for /usr/athena/lib" >&5
764if test -d /usr/athena/lib; then
765        LDFLAGS=-L/usr/athena/lib\ ${LDFLAGS}
766        echo "$ac_t""yes" 1>&6
767else
768        echo "$ac_t""no" 1>&6
769fi
770
771
772
773
774
775
776echo $ac_n "checking for initscr in -lncurses""... $ac_c" 1>&6
777echo "configure:778: checking for initscr in -lncurses" >&5
778ac_lib_var=`echo ncurses'_'initscr | sed 'y%./+-%__p_%'`
779if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
780  echo $ac_n "(cached) $ac_c" 1>&6
781else
782  ac_save_LIBS="$LIBS"
783LIBS="-lncurses  $LIBS"
784cat > conftest.$ac_ext <<EOF
785#line 786 "configure"
786#include "confdefs.h"
787/* Override any gcc2 internal prototype to avoid an error.  */
788/* We use char because int might match the return type of a gcc2
789    builtin and then its argument prototype would still apply.  */
790char initscr();
791
792int main() {
793initscr()
794; return 0; }
795EOF
796if { (eval echo configure:797: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
797  rm -rf conftest*
798  eval "ac_cv_lib_$ac_lib_var=yes"
799else
800  echo "configure: failed program was:" >&5
801  cat conftest.$ac_ext >&5
802  rm -rf conftest*
803  eval "ac_cv_lib_$ac_lib_var=no"
804fi
805rm -f conftest*
806LIBS="$ac_save_LIBS"
807
808fi
809if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
810  echo "$ac_t""yes" 1>&6
811    ac_tr_lib=HAVE_LIB`echo ncurses | sed -e 's/[^a-zA-Z0-9_]/_/g' \
812    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
813  cat >> confdefs.h <<EOF
814#define $ac_tr_lib 1
815EOF
816
817  LIBS="-lncurses $LIBS"
818
819else
820  echo "$ac_t""no" 1>&6
821echo $ac_n "checking for initscr in -lcurses""... $ac_c" 1>&6
822echo "configure:823: checking for initscr in -lcurses" >&5
823ac_lib_var=`echo curses'_'initscr | sed 'y%./+-%__p_%'`
824if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
825  echo $ac_n "(cached) $ac_c" 1>&6
826else
827  ac_save_LIBS="$LIBS"
828LIBS="-lcurses  $LIBS"
829cat > conftest.$ac_ext <<EOF
830#line 831 "configure"
831#include "confdefs.h"
832/* Override any gcc2 internal prototype to avoid an error.  */
833/* We use char because int might match the return type of a gcc2
834    builtin and then its argument prototype would still apply.  */
835char initscr();
836
837int main() {
838initscr()
839; return 0; }
840EOF
841if { (eval echo configure:842: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
842  rm -rf conftest*
843  eval "ac_cv_lib_$ac_lib_var=yes"
844else
845  echo "configure: failed program was:" >&5
846  cat conftest.$ac_ext >&5
847  rm -rf conftest*
848  eval "ac_cv_lib_$ac_lib_var=no"
849fi
850rm -f conftest*
851LIBS="$ac_save_LIBS"
852
853fi
854if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
855  echo "$ac_t""yes" 1>&6
856    ac_tr_lib=HAVE_LIB`echo curses | sed -e 's/^a-zA-Z0-9_/_/g' \
857    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
858  cat >> confdefs.h <<EOF
859#define $ac_tr_lib 1
860EOF
861
862  LIBS="-lcurses $LIBS"
863
864else
865  echo "$ac_t""no" 1>&6
866{ echo "configure: error: No curses library found." 1>&2; exit 1; }
867fi
868
869fi
870
871echo $ac_n "checking for com_err in -lcom_err""... $ac_c" 1>&6
872echo "configure:873: checking for com_err in -lcom_err" >&5
873ac_lib_var=`echo com_err'_'com_err | sed 'y%./+-%__p_%'`
874if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
875  echo $ac_n "(cached) $ac_c" 1>&6
876else
877  ac_save_LIBS="$LIBS"
878LIBS="-lcom_err  $LIBS"
879cat > conftest.$ac_ext <<EOF
880#line 881 "configure"
881#include "confdefs.h"
882/* Override any gcc2 internal prototype to avoid an error.  */
883/* We use char because int might match the return type of a gcc2
884    builtin and then its argument prototype would still apply.  */
885char com_err();
886
887int main() {
888com_err()
889; return 0; }
890EOF
891if { (eval echo configure:892: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
892  rm -rf conftest*
893  eval "ac_cv_lib_$ac_lib_var=yes"
894else
895  echo "configure: failed program was:" >&5
896  cat conftest.$ac_ext >&5
897  rm -rf conftest*
898  eval "ac_cv_lib_$ac_lib_var=no"
899fi
900rm -f conftest*
901LIBS="$ac_save_LIBS"
902
903fi
904if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
905  echo "$ac_t""yes" 1>&6
906    ac_tr_lib=HAVE_LIB`echo com_err | sed -e 's/[^a-zA-Z0-9_]/_/g' \
907    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
908  cat >> confdefs.h <<EOF
909#define $ac_tr_lib 1
910EOF
911
912  LIBS="-lcom_err $LIBS"
913
914else
915  echo "$ac_t""no" 1>&6
916fi
917
918echo $ac_n "checking for gethostbyname in -lnsl""... $ac_c" 1>&6
919echo "configure:920: checking for gethostbyname in -lnsl" >&5
920ac_lib_var=`echo nsl'_'gethostbyname | sed 'y%./+-%__p_%'`
921if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
922  echo $ac_n "(cached) $ac_c" 1>&6
923else
924  ac_save_LIBS="$LIBS"
925LIBS="-lnsl  $LIBS"
926cat > conftest.$ac_ext <<EOF
927#line 928 "configure"
928#include "confdefs.h"
929/* Override any gcc2 internal prototype to avoid an error.  */
930/* We use char because int might match the return type of a gcc2
931    builtin and then its argument prototype would still apply.  */
932char gethostbyname();
933
934int main() {
935gethostbyname()
936; return 0; }
937EOF
938if { (eval echo configure:939: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
939  rm -rf conftest*
940  eval "ac_cv_lib_$ac_lib_var=yes"
941else
942  echo "configure: failed program was:" >&5
943  cat conftest.$ac_ext >&5
944  rm -rf conftest*
945  eval "ac_cv_lib_$ac_lib_var=no"
946fi
947rm -f conftest*
948LIBS="$ac_save_LIBS"
949
950fi
951if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
952  echo "$ac_t""yes" 1>&6
953    ac_tr_lib=HAVE_LIB`echo nsl | sed -e 's/[^a-zA-Z0-9_]/_/g' \
954    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
955  cat >> confdefs.h <<EOF
956#define $ac_tr_lib 1
957EOF
958
959  LIBS="-lnsl $LIBS"
960
961else
962  echo "$ac_t""no" 1>&6
963fi
964
965echo $ac_n "checking for socket in -lsocket""... $ac_c" 1>&6
966echo "configure:967: checking for socket in -lsocket" >&5
967ac_lib_var=`echo socket'_'socket | sed 'y%./+-%__p_%'`
968if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
969  echo $ac_n "(cached) $ac_c" 1>&6
970else
971  ac_save_LIBS="$LIBS"
972LIBS="-lsocket  $LIBS"
973cat > conftest.$ac_ext <<EOF
974#line 975 "configure"
975#include "confdefs.h"
976/* Override any gcc2 internal prototype to avoid an error.  */
977/* We use char because int might match the return type of a gcc2
978    builtin and then its argument prototype would still apply.  */
979char socket();
980
981int main() {
982socket()
983; return 0; }
984EOF
985if { (eval echo configure:986: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
986  rm -rf conftest*
987  eval "ac_cv_lib_$ac_lib_var=yes"
988else
989  echo "configure: failed program was:" >&5
990  cat conftest.$ac_ext >&5
991  rm -rf conftest*
992  eval "ac_cv_lib_$ac_lib_var=no"
993fi
994rm -f conftest*
995LIBS="$ac_save_LIBS"
996
997fi
998if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
999  echo "$ac_t""yes" 1>&6
1000    ac_tr_lib=HAVE_LIB`echo socket | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1001    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1002  cat >> confdefs.h <<EOF
1003#define $ac_tr_lib 1
1004EOF
1005
1006  LIBS="-lsocket $LIBS"
1007
1008else
1009  echo "$ac_t""no" 1>&6
1010fi
1011
1012echo $ac_n "checking for krb5_derive_key in -lk5crypto""... $ac_c" 1>&6
1013echo "configure:1014: checking for krb5_derive_key in -lk5crypto" >&5
1014ac_lib_var=`echo k5crypto'_'krb5_derive_key | sed 'y%./+-%__p_%'`
1015if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1016  echo $ac_n "(cached) $ac_c" 1>&6
1017else
1018  ac_save_LIBS="$LIBS"
1019LIBS="-lk5crypto  $LIBS"
1020cat > conftest.$ac_ext <<EOF
1021#line 1022 "configure"
1022#include "confdefs.h"
1023/* Override any gcc2 internal prototype to avoid an error.  */
1024/* We use char because int might match the return type of a gcc2
1025    builtin and then its argument prototype would still apply.  */
1026char krb5_derive_key();
1027
1028int main() {
1029krb5_derive_key()
1030; return 0; }
1031EOF
1032if { (eval echo configure:1033: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1033  rm -rf conftest*
1034  eval "ac_cv_lib_$ac_lib_var=yes"
1035else
1036  echo "configure: failed program was:" >&5
1037  cat conftest.$ac_ext >&5
1038  rm -rf conftest*
1039  eval "ac_cv_lib_$ac_lib_var=no"
1040fi
1041rm -f conftest*
1042LIBS="$ac_save_LIBS"
1043
1044fi
1045if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1046  echo "$ac_t""yes" 1>&6
1047    ac_tr_lib=HAVE_LIB`echo k5crypto | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1048    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1049  cat >> confdefs.h <<EOF
1050#define $ac_tr_lib 1
1051EOF
1052
1053  LIBS="-lk5crypto $LIBS"
1054
1055else
1056  echo "$ac_t""no" 1>&6
1057fi
1058
1059echo $ac_n "checking for des425_req_act_vno in -ldes425""... $ac_c" 1>&6
1060echo "configure:1061: checking for des425_req_act_vno in -ldes425" >&5
1061ac_lib_var=`echo des425'_'des425_req_act_vno | sed 'y%./+-%__p_%'`
1062if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1063  echo $ac_n "(cached) $ac_c" 1>&6
1064else
1065  ac_save_LIBS="$LIBS"
1066LIBS="-ldes425  $LIBS"
1067cat > conftest.$ac_ext <<EOF
1068#line 1069 "configure"
1069#include "confdefs.h"
1070/* Override any gcc2 internal prototype to avoid an error.  */
1071/* We use char because int might match the return type of a gcc2
1072    builtin and then its argument prototype would still apply.  */
1073char des425_req_act_vno();
1074
1075int main() {
1076des425_req_act_vno()
1077; return 0; }
1078EOF
1079if { (eval echo configure:1080: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1080  rm -rf conftest*
1081  eval "ac_cv_lib_$ac_lib_var=yes"
1082else
1083  echo "configure: failed program was:" >&5
1084  cat conftest.$ac_ext >&5
1085  rm -rf conftest*
1086  eval "ac_cv_lib_$ac_lib_var=no"
1087fi
1088rm -f conftest*
1089LIBS="$ac_save_LIBS"
1090
1091fi
1092if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1093  echo "$ac_t""yes" 1>&6
1094    ac_tr_lib=HAVE_LIB`echo des425 | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1095    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1096  cat >> confdefs.h <<EOF
1097#define $ac_tr_lib 1
1098EOF
1099
1100  LIBS="-ldes425 $LIBS"
1101
1102else
1103  echo "$ac_t""no" 1>&6
1104fi
1105
1106echo $ac_n "checking for krb5_get_credentials in -lkrb5""... $ac_c" 1>&6
1107echo "configure:1108: checking for krb5_get_credentials in -lkrb5" >&5
1108ac_lib_var=`echo krb5'_'krb5_get_credentials | sed 'y%./+-%__p_%'`
1109if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1110  echo $ac_n "(cached) $ac_c" 1>&6
1111else
1112  ac_save_LIBS="$LIBS"
1113LIBS="-lkrb5  $LIBS"
1114cat > conftest.$ac_ext <<EOF
1115#line 1116 "configure"
1116#include "confdefs.h"
1117/* Override any gcc2 internal prototype to avoid an error.  */
1118/* We use char because int might match the return type of a gcc2
1119    builtin and then its argument prototype would still apply.  */
1120char krb5_get_credentials();
1121
1122int main() {
1123krb5_get_credentials()
1124; return 0; }
1125EOF
1126if { (eval echo configure:1127: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1127  rm -rf conftest*
1128  eval "ac_cv_lib_$ac_lib_var=yes"
1129else
1130  echo "configure: failed program was:" >&5
1131  cat conftest.$ac_ext >&5
1132  rm -rf conftest*
1133  eval "ac_cv_lib_$ac_lib_var=no"
1134fi
1135rm -f conftest*
1136LIBS="$ac_save_LIBS"
1137
1138fi
1139if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1140  echo "$ac_t""yes" 1>&6
1141    ac_tr_lib=HAVE_LIB`echo krb5 | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1142    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1143  cat >> confdefs.h <<EOF
1144#define $ac_tr_lib 1
1145EOF
1146
1147  LIBS="-lkrb5 $LIBS"
1148
1149else
1150  echo "$ac_t""no" 1>&6
1151fi
1152
1153echo $ac_n "checking for krb_sendauth in -lkrb4""... $ac_c" 1>&6
1154echo "configure:1155: checking for krb_sendauth in -lkrb4" >&5
1155ac_lib_var=`echo krb4'_'krb_sendauth | sed 'y%./+-%__p_%'`
1156if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1157  echo $ac_n "(cached) $ac_c" 1>&6
1158else
1159  ac_save_LIBS="$LIBS"
1160LIBS="-lkrb4  $LIBS"
1161cat > conftest.$ac_ext <<EOF
1162#line 1163 "configure"
1163#include "confdefs.h"
1164/* Override any gcc2 internal prototype to avoid an error.  */
1165/* We use char because int might match the return type of a gcc2
1166    builtin and then its argument prototype would still apply.  */
1167char krb_sendauth();
1168
1169int main() {
1170krb_sendauth()
1171; return 0; }
1172EOF
1173if { (eval echo configure:1174: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1174  rm -rf conftest*
1175  eval "ac_cv_lib_$ac_lib_var=yes"
1176else
1177  echo "configure: failed program was:" >&5
1178  cat conftest.$ac_ext >&5
1179  rm -rf conftest*
1180  eval "ac_cv_lib_$ac_lib_var=no"
1181fi
1182rm -f conftest*
1183LIBS="$ac_save_LIBS"
1184
1185fi
1186if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1187  echo "$ac_t""yes" 1>&6
1188    ac_tr_lib=HAVE_LIB`echo krb4 | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1189    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1190  cat >> confdefs.h <<EOF
1191#define $ac_tr_lib 1
1192EOF
1193
1194  LIBS="-lkrb4 $LIBS"
1195
1196else
1197  echo "$ac_t""no" 1>&6
1198fi
1199
1200echo $ac_n "checking for ZGetSender in -lzephyr""... $ac_c" 1>&6
1201echo "configure:1202: checking for ZGetSender in -lzephyr" >&5
1202ac_lib_var=`echo zephyr'_'ZGetSender | sed 'y%./+-%__p_%'`
1203if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1204  echo $ac_n "(cached) $ac_c" 1>&6
1205else
1206  ac_save_LIBS="$LIBS"
1207LIBS="-lzephyr  $LIBS"
1208cat > conftest.$ac_ext <<EOF
1209#line 1210 "configure"
1210#include "confdefs.h"
1211/* Override any gcc2 internal prototype to avoid an error.  */
1212/* We use char because int might match the return type of a gcc2
1213    builtin and then its argument prototype would still apply.  */
1214char ZGetSender();
1215
1216int main() {
1217ZGetSender()
1218; return 0; }
1219EOF
1220if { (eval echo configure:1221: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1221  rm -rf conftest*
1222  eval "ac_cv_lib_$ac_lib_var=yes"
1223else
1224  echo "configure: failed program was:" >&5
1225  cat conftest.$ac_ext >&5
1226  rm -rf conftest*
1227  eval "ac_cv_lib_$ac_lib_var=no"
1228fi
1229rm -f conftest*
1230LIBS="$ac_save_LIBS"
1231
1232fi
1233if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1234  echo "$ac_t""yes" 1>&6
1235    ac_tr_lib=HAVE_LIB`echo zephyr | sed -e 's/[^a-zA-Z0-9_]/_/g' \
1236    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
1237  cat >> confdefs.h <<EOF
1238#define $ac_tr_lib 1
1239EOF
1240
1241  LIBS="-lzephyr $LIBS"
1242
1243else
1244  echo "$ac_t""no" 1>&6
1245{ echo "configure: error: No zephyr library found." 1>&2; exit 1; }
1246fi
1247
1248echo $ac_n "checking for ZInitLocationInfo in -lzephyr""... $ac_c" 1>&6
1249echo "configure:1250: checking for ZInitLocationInfo in -lzephyr" >&5
1250ac_lib_var=`echo zephyr'_'ZInitLocationInfo | sed 'y%./+-%__p_%'`
1251if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1252  echo $ac_n "(cached) $ac_c" 1>&6
1253else
1254  ac_save_LIBS="$LIBS"
1255LIBS="-lzephyr  $LIBS"
1256cat > conftest.$ac_ext <<EOF
1257#line 1258 "configure"
1258#include "confdefs.h"
1259/* Override any gcc2 internal prototype to avoid an error.  */
1260/* We use char because int might match the return type of a gcc2
1261    builtin and then its argument prototype would still apply.  */
1262char ZInitLocationInfo();
1263
1264int main() {
1265ZInitLocationInfo()
1266; return 0; }
1267EOF
1268if { (eval echo configure:1269: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1269  rm -rf conftest*
1270  eval "ac_cv_lib_$ac_lib_var=yes"
1271else
1272  echo "configure: failed program was:" >&5
1273  cat conftest.$ac_ext >&5
1274  rm -rf conftest*
1275  eval "ac_cv_lib_$ac_lib_var=no"
1276fi
1277rm -f conftest*
1278LIBS="$ac_save_LIBS"
1279
1280fi
1281if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1282  echo "$ac_t""yes" 1>&6
1283  cat >> confdefs.h <<\EOF
1284#define HAVE_LIBZEPHYR_ZINITLOCATIONINFO 1
1285EOF
1286
1287else
1288  echo "$ac_t""no" 1>&6
1289fi
1290
1291
1292echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1293echo "configure:1294: checking how to run the C preprocessor" >&5
1294# On Suns, sometimes $CPP names a directory.
1295if test -n "$CPP" && test -d "$CPP"; then
1296  CPP=
1297fi
1298if test -z "$CPP"; then
1299if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1300  echo $ac_n "(cached) $ac_c" 1>&6
1301else
1302    # This must be in double quotes, not single quotes, because CPP may get
1303  # substituted into the Makefile and "${CC-cc}" will confuse make.
1304  CPP="${CC-cc} -E"
1305  # On the NeXT, cc -E runs the code through the compiler's parser,
1306  # not just through cpp.
1307  cat > conftest.$ac_ext <<EOF
1308#line 1309 "configure"
1309#include "confdefs.h"
1310#include <assert.h>
1311Syntax Error
1312EOF
1313ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1314{ (eval echo configure:1315: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1315ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1316if test -z "$ac_err"; then
1317  :
1318else
1319  echo "$ac_err" >&5
1320  echo "configure: failed program was:" >&5
1321  cat conftest.$ac_ext >&5
1322  rm -rf conftest*
1323  CPP="${CC-cc} -E -traditional-cpp"
1324  cat > conftest.$ac_ext <<EOF
1325#line 1326 "configure"
1326#include "confdefs.h"
1327#include <assert.h>
1328Syntax Error
1329EOF
1330ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1331{ (eval echo configure:1332: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1332ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1333if test -z "$ac_err"; then
1334  :
1335else
1336  echo "$ac_err" >&5
1337  echo "configure: failed program was:" >&5
1338  cat conftest.$ac_ext >&5
1339  rm -rf conftest*
1340  CPP="${CC-cc} -nologo -E"
1341  cat > conftest.$ac_ext <<EOF
1342#line 1343 "configure"
1343#include "confdefs.h"
1344#include <assert.h>
1345Syntax Error
1346EOF
1347ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1348{ (eval echo configure:1349: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1349ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1350if test -z "$ac_err"; then
1351  :
1352else
1353  echo "$ac_err" >&5
1354  echo "configure: failed program was:" >&5
1355  cat conftest.$ac_ext >&5
1356  rm -rf conftest*
1357  CPP=/lib/cpp
1358fi
1359rm -f conftest*
1360fi
1361rm -f conftest*
1362fi
1363rm -f conftest*
1364  ac_cv_prog_CPP="$CPP"
1365fi
1366  CPP="$ac_cv_prog_CPP"
1367else
1368  ac_cv_prog_CPP="$CPP"
1369fi
1370echo "$ac_t""$CPP" 1>&6
1371
1372echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
1373echo "configure:1374: checking for ANSI C header files" >&5
1374if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
1375  echo $ac_n "(cached) $ac_c" 1>&6
1376else
1377  cat > conftest.$ac_ext <<EOF
1378#line 1379 "configure"
1379#include "confdefs.h"
1380#include <stdlib.h>
1381#include <stdarg.h>
1382#include <string.h>
1383#include <float.h>
1384EOF
1385ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1386{ (eval echo configure:1387: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1387ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1388if test -z "$ac_err"; then
1389  rm -rf conftest*
1390  ac_cv_header_stdc=yes
1391else
1392  echo "$ac_err" >&5
1393  echo "configure: failed program was:" >&5
1394  cat conftest.$ac_ext >&5
1395  rm -rf conftest*
1396  ac_cv_header_stdc=no
1397fi
1398rm -f conftest*
1399
1400if test $ac_cv_header_stdc = yes; then
1401  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
1402cat > conftest.$ac_ext <<EOF
1403#line 1404 "configure"
1404#include "confdefs.h"
1405#include <string.h>
1406EOF
1407if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1408  egrep "memchr" >/dev/null 2>&1; then
1409  :
1410else
1411  rm -rf conftest*
1412  ac_cv_header_stdc=no
1413fi
1414rm -f conftest*
1415
1416fi
1417
1418if test $ac_cv_header_stdc = yes; then
1419  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
1420cat > conftest.$ac_ext <<EOF
1421#line 1422 "configure"
1422#include "confdefs.h"
1423#include <stdlib.h>
1424EOF
1425if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1426  egrep "free" >/dev/null 2>&1; then
1427  :
1428else
1429  rm -rf conftest*
1430  ac_cv_header_stdc=no
1431fi
1432rm -f conftest*
1433
1434fi
1435
1436if test $ac_cv_header_stdc = yes; then
1437  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
1438if test "$cross_compiling" = yes; then
1439  :
1440else
1441  cat > conftest.$ac_ext <<EOF
1442#line 1443 "configure"
1443#include "confdefs.h"
1444#include <ctype.h>
1445#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1446#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1447#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1448int main () { int i; for (i = 0; i < 256; i++)
1449if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1450exit (0); }
1451
1452EOF
1453if { (eval echo configure:1454: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1454then
1455  :
1456else
1457  echo "configure: failed program was:" >&5
1458  cat conftest.$ac_ext >&5
1459  rm -fr conftest*
1460  ac_cv_header_stdc=no
1461fi
1462rm -fr conftest*
1463fi
1464
1465fi
1466fi
1467
1468echo "$ac_t""$ac_cv_header_stdc" 1>&6
1469if test $ac_cv_header_stdc = yes; then
1470  cat >> confdefs.h <<\EOF
1471#define STDC_HEADERS 1
1472EOF
1473
1474fi
1475
1476echo $ac_n "checking for sys/wait.h that is POSIX.1 compatible""... $ac_c" 1>&6
1477echo "configure:1478: checking for sys/wait.h that is POSIX.1 compatible" >&5
1478if eval "test \"`echo '$''{'ac_cv_header_sys_wait_h'+set}'`\" = set"; then
1479  echo $ac_n "(cached) $ac_c" 1>&6
1480else
1481  cat > conftest.$ac_ext <<EOF
1482#line 1483 "configure"
1483#include "confdefs.h"
1484#include <sys/types.h>
1485#include <sys/wait.h>
1486#ifndef WEXITSTATUS
1487#define WEXITSTATUS(stat_val) ((unsigned)(stat_val) >> 8)
1488#endif
1489#ifndef WIFEXITED
1490#define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
1491#endif
1492int main() {
1493int s;
1494wait (&s);
1495s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
1496; return 0; }
1497EOF
1498if { (eval echo configure:1499: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1499  rm -rf conftest*
1500  ac_cv_header_sys_wait_h=yes
1501else
1502  echo "configure: failed program was:" >&5
1503  cat conftest.$ac_ext >&5
1504  rm -rf conftest*
1505  ac_cv_header_sys_wait_h=no
1506fi
1507rm -f conftest*
1508fi
1509
1510echo "$ac_t""$ac_cv_header_sys_wait_h" 1>&6
1511if test $ac_cv_header_sys_wait_h = yes; then
1512  cat >> confdefs.h <<\EOF
1513#define HAVE_SYS_WAIT_H 1
1514EOF
1515
1516fi
1517
1518for ac_hdr in strings.h sys/ioctl.h unistd.h
1519do
1520ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1521echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1522echo "configure:1523: checking for $ac_hdr" >&5
1523if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1524  echo $ac_n "(cached) $ac_c" 1>&6
1525else
1526  cat > conftest.$ac_ext <<EOF
1527#line 1528 "configure"
1528#include "confdefs.h"
1529#include <$ac_hdr>
1530EOF
1531ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1532{ (eval echo configure:1533: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1533ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1534if test -z "$ac_err"; then
1535  rm -rf conftest*
1536  eval "ac_cv_header_$ac_safe=yes"
1537else
1538  echo "$ac_err" >&5
1539  echo "configure: failed program was:" >&5
1540  cat conftest.$ac_ext >&5
1541  rm -rf conftest*
1542  eval "ac_cv_header_$ac_safe=no"
1543fi
1544rm -f conftest*
1545fi
1546if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1547  echo "$ac_t""yes" 1>&6
1548    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1549  cat >> confdefs.h <<EOF
1550#define $ac_tr_hdr 1
1551EOF
1552 
1553else
1554  echo "$ac_t""no" 1>&6
1555fi
1556done
1557
1558
1559FOO=`perl -MExtUtils::Embed -e ccopts`
1560echo Adding perl CFLAGS ${FOO}
1561CFLAGS=${CFLAGS}\ ${FOO}
1562
1563echo $ac_n "checking for the perl xsubpp precompiler""... $ac_c" 1>&6
1564echo "configure:1565: checking for the perl xsubpp precompiler" >&5
1565XSUBPPDIR="`(perl -MExtUtils::MakeMaker -e 'print ExtUtils::MakeMaker->new({NAME => qw(owl)})->tool_xsubpp;') | grep \^XSUBPPDIR | sed -e 's/XSUBPPDIR = //g;'`"
1566if test -n "${XSUBPPDIR}"; then
1567   echo "$ac_t""${XSUBPPDIR}" 1>&6
1568else
1569   { echo "configure: error: not found" 1>&2; exit 1; }
1570fi
1571
1572FOO=`perl -MExtUtils::Embed -e ldopts`
1573echo Adding perl LDFLAGS ${FOO}
1574LDFLAGS=${LDFLAGS}\ ${FOO}
1575
1576
1577ac_safe=`echo "/usr/share/terminfo" | sed 'y%./+-%__p_%'`
1578echo $ac_n "checking for /usr/share/terminfo""... $ac_c" 1>&6
1579echo "configure:1580: checking for /usr/share/terminfo" >&5
1580if eval "test \"`echo '$''{'ac_cv_file_$ac_safe'+set}'`\" = set"; then
1581  echo $ac_n "(cached) $ac_c" 1>&6
1582else
1583  if test "$cross_compiling" = yes; then
1584    { echo "configure: error: Cannot check for file existence when cross compiling" 1>&2; exit 1; }
1585else
1586  if test -r /usr/share/terminfo; then
1587    eval "ac_cv_file_$ac_safe=yes"
1588  else
1589    eval "ac_cv_file_$ac_safe=no"
1590  fi
1591fi
1592fi
1593if eval "test \"`echo '$ac_cv_file_'$ac_safe`\" = yes"; then
1594  echo "$ac_t""yes" 1>&6
1595  cat >> confdefs.h <<\EOF
1596#define TERMINFO "/usr/share/terminfo"
1597EOF
1598
1599else
1600  echo "$ac_t""no" 1>&6
1601
1602ac_safe=`echo "/usr/share/lib/terminfo" | sed 'y%./+-%__p_%'`
1603echo $ac_n "checking for /usr/share/lib/terminfo""... $ac_c" 1>&6
1604echo "configure:1605: checking for /usr/share/lib/terminfo" >&5
1605if eval "test \"`echo '$''{'ac_cv_file_$ac_safe'+set}'`\" = set"; then
1606  echo $ac_n "(cached) $ac_c" 1>&6
1607else
1608  if test "$cross_compiling" = yes; then
1609    { echo "configure: error: Cannot check for file existence when cross compiling" 1>&2; exit 1; }
1610else
1611  if test -r /usr/share/lib/terminfo; then
1612    eval "ac_cv_file_$ac_safe=yes"
1613  else
1614    eval "ac_cv_file_$ac_safe=no"
1615  fi
1616fi
1617fi
1618if eval "test \"`echo '$ac_cv_file_'$ac_safe`\" = yes"; then
1619  echo "$ac_t""yes" 1>&6
1620  cat >> confdefs.h <<\EOF
1621#define TERMINFO "/usr/share/lib/terminfo"
1622EOF
1623
1624else
1625  echo "$ac_t""no" 1>&6
1626{ echo "configure: error: No terminfo found for this system" 1>&2; exit 1; }
1627fi
1628
1629fi
1630
1631
1632
1633
1634
1635trap '' 1 2 15
1636cat > confcache <<\EOF
1637# This file is a shell script that caches the results of configure
1638# tests run on this system so they can be shared between configure
1639# scripts and configure runs.  It is not useful on other systems.
1640# If it contains results you don't want to keep, you may remove or edit it.
1641#
1642# By default, configure uses ./config.cache as the cache file,
1643# creating it if it does not exist already.  You can give configure
1644# the --cache-file=FILE option to use a different cache file; that is
1645# what configure does when it calls configure scripts in
1646# subdirectories, so they share the cache.
1647# Giving --cache-file=/dev/null disables caching, for debugging configure.
1648# config.status only pays attention to the cache file if you give it the
1649# --recheck option to rerun configure.
1650#
1651EOF
1652# The following way of writing the cache mishandles newlines in values,
1653# but we know of no workaround that is simple, portable, and efficient.
1654# So, don't put newlines in cache variables' values.
1655# Ultrix sh set writes to stderr and can't be redirected directly,
1656# and sets the high bit in the cache file unless we assign to the vars.
1657(set) 2>&1 |
1658  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1659  *ac_space=\ *)
1660    # `set' does not quote correctly, so add quotes (double-quote substitution
1661    # turns \\\\ into \\, and sed turns \\ into \).
1662    sed -n \
1663      -e "s/'/'\\\\''/g" \
1664      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1665    ;;
1666  *)
1667    # `set' quotes correctly as required by POSIX, so do not add quotes.
1668    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1669    ;;
1670  esac >> confcache
1671if cmp -s $cache_file confcache; then
1672  :
1673else
1674  if test -w $cache_file; then
1675    echo "updating cache $cache_file"
1676    cat confcache > $cache_file
1677  else
1678    echo "not updating unwritable cache $cache_file"
1679  fi
1680fi
1681rm -f confcache
1682
1683trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1684
1685test "x$prefix" = xNONE && prefix=$ac_default_prefix
1686# Let make expand exec_prefix.
1687test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1688
1689# Any assignment to VPATH causes Sun make to only execute
1690# the first set of double-colon rules, so remove it if not needed.
1691# If there is a colon in the path, we need to keep it.
1692if test "x$srcdir" = x.; then
1693  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
1694fi
1695
1696trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1697
1698DEFS=-DHAVE_CONFIG_H
1699
1700# Without the "./", some shells look in PATH for config.status.
1701: ${CONFIG_STATUS=./config.status}
1702
1703echo creating $CONFIG_STATUS
1704rm -f $CONFIG_STATUS
1705cat > $CONFIG_STATUS <<EOF
1706#! /bin/sh
1707# Generated automatically by configure.
1708# Run this file to recreate the current configuration.
1709# This directory was configured as follows,
1710# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1711#
1712# $0 $ac_configure_args
1713#
1714# Compiler output produced by configure, useful for debugging
1715# configure, is in ./config.log if it exists.
1716
1717ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1718for ac_option
1719do
1720  case "\$ac_option" in
1721  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1722    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1723    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1724  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1725    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1726    exit 0 ;;
1727  -help | --help | --hel | --he | --h)
1728    echo "\$ac_cs_usage"; exit 0 ;;
1729  *) echo "\$ac_cs_usage"; exit 1 ;;
1730  esac
1731done
1732
1733ac_given_srcdir=$srcdir
1734
1735trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1736EOF
1737cat >> $CONFIG_STATUS <<EOF
1738
1739# Protect against being on the right side of a sed subst in config.status.
1740sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1741 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1742$ac_vpsub
1743$extrasub
1744s%@SHELL@%$SHELL%g
1745s%@CFLAGS@%$CFLAGS%g
1746s%@CPPFLAGS@%$CPPFLAGS%g
1747s%@CXXFLAGS@%$CXXFLAGS%g
1748s%@FFLAGS@%$FFLAGS%g
1749s%@DEFS@%$DEFS%g
1750s%@LDFLAGS@%$LDFLAGS%g
1751s%@LIBS@%$LIBS%g
1752s%@exec_prefix@%$exec_prefix%g
1753s%@prefix@%$prefix%g
1754s%@program_transform_name@%$program_transform_name%g
1755s%@bindir@%$bindir%g
1756s%@sbindir@%$sbindir%g
1757s%@libexecdir@%$libexecdir%g
1758s%@datadir@%$datadir%g
1759s%@sysconfdir@%$sysconfdir%g
1760s%@sharedstatedir@%$sharedstatedir%g
1761s%@localstatedir@%$localstatedir%g
1762s%@libdir@%$libdir%g
1763s%@includedir@%$includedir%g
1764s%@oldincludedir@%$oldincludedir%g
1765s%@infodir@%$infodir%g
1766s%@mandir@%$mandir%g
1767s%@CC@%$CC%g
1768s%@CPP@%$CPP%g
1769s%@XSUBPPDIR@%$XSUBPPDIR%g
1770
1771CEOF
1772EOF
1773
1774cat >> $CONFIG_STATUS <<\EOF
1775
1776# Split the substitutions into bite-sized pieces for seds with
1777# small command number limits, like on Digital OSF/1 and HP-UX.
1778ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1779ac_file=1 # Number of current file.
1780ac_beg=1 # First line for current file.
1781ac_end=$ac_max_sed_cmds # Line after last line for current file.
1782ac_more_lines=:
1783ac_sed_cmds=""
1784while $ac_more_lines; do
1785  if test $ac_beg -gt 1; then
1786    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1787  else
1788    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1789  fi
1790  if test ! -s conftest.s$ac_file; then
1791    ac_more_lines=false
1792    rm -f conftest.s$ac_file
1793  else
1794    if test -z "$ac_sed_cmds"; then
1795      ac_sed_cmds="sed -f conftest.s$ac_file"
1796    else
1797      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1798    fi
1799    ac_file=`expr $ac_file + 1`
1800    ac_beg=$ac_end
1801    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1802  fi
1803done
1804if test -z "$ac_sed_cmds"; then
1805  ac_sed_cmds=cat
1806fi
1807EOF
1808
1809cat >> $CONFIG_STATUS <<EOF
1810
1811CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1812EOF
1813cat >> $CONFIG_STATUS <<\EOF
1814for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1815  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1816  case "$ac_file" in
1817  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1818       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1819  *) ac_file_in="${ac_file}.in" ;;
1820  esac
1821
1822  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1823
1824  # Remove last slash and all that follows it.  Not all systems have dirname.
1825  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1826  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1827    # The file is in a subdirectory.
1828    test ! -d "$ac_dir" && mkdir "$ac_dir"
1829    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1830    # A "../" for each directory in $ac_dir_suffix.
1831    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1832  else
1833    ac_dir_suffix= ac_dots=
1834  fi
1835
1836  case "$ac_given_srcdir" in
1837  .)  srcdir=.
1838      if test -z "$ac_dots"; then top_srcdir=.
1839      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1840  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1841  *) # Relative path.
1842    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1843    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1844  esac
1845
1846
1847  echo creating "$ac_file"
1848  rm -f "$ac_file"
1849  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1850  case "$ac_file" in
1851  *Makefile*) ac_comsub="1i\\
1852# $configure_input" ;;
1853  *) ac_comsub= ;;
1854  esac
1855
1856  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1857  sed -e "$ac_comsub
1858s%@configure_input@%$configure_input%g
1859s%@srcdir@%$srcdir%g
1860s%@top_srcdir@%$top_srcdir%g
1861" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1862fi; done
1863rm -f conftest.s*
1864
1865# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1866# NAME is the cpp macro being defined and VALUE is the value it is being given.
1867#
1868# ac_d sets the value in "#define NAME VALUE" lines.
1869ac_dA='s%^\([   ]*\)#\([        ]*define[       ][      ]*\)'
1870ac_dB='\([      ][      ]*\)[^  ]*%\1#\2'
1871ac_dC='\3'
1872ac_dD='%g'
1873# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1874ac_uA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1875ac_uB='\([      ]\)%\1#\2define\3'
1876ac_uC=' '
1877ac_uD='\4%g'
1878# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1879ac_eA='s%^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
1880ac_eB='$%\1#\2define\3'
1881ac_eC=' '
1882ac_eD='%g'
1883
1884if test "${CONFIG_HEADERS+set}" != set; then
1885EOF
1886cat >> $CONFIG_STATUS <<EOF
1887  CONFIG_HEADERS="config.h"
1888EOF
1889cat >> $CONFIG_STATUS <<\EOF
1890fi
1891for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1892  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1893  case "$ac_file" in
1894  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1895       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1896  *) ac_file_in="${ac_file}.in" ;;
1897  esac
1898
1899  echo creating $ac_file
1900
1901  rm -f conftest.frag conftest.in conftest.out
1902  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1903  cat $ac_file_inputs > conftest.in
1904
1905EOF
1906
1907# Transform confdefs.h into a sed script conftest.vals that substitutes
1908# the proper values into config.h.in to produce config.h.  And first:
1909# Protect against being on the right side of a sed subst in config.status.
1910# Protect against being in an unquoted here document in config.status.
1911rm -f conftest.vals
1912cat > conftest.hdr <<\EOF
1913s/[\\&%]/\\&/g
1914s%[\\$`]%\\&%g
1915s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1916s%ac_d%ac_u%gp
1917s%ac_u%ac_e%gp
1918EOF
1919sed -n -f conftest.hdr confdefs.h > conftest.vals
1920rm -f conftest.hdr
1921
1922# This sed command replaces #undef with comments.  This is necessary, for
1923# example, in the case of _POSIX_SOURCE, which is predefined and required
1924# on some systems where configure will not decide to define it.
1925cat >> conftest.vals <<\EOF
1926s%^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1927EOF
1928
1929# Break up conftest.vals because some shells have a limit on
1930# the size of here documents, and old seds have small limits too.
1931
1932rm -f conftest.tail
1933while :
1934do
1935  ac_lines=`grep -c . conftest.vals`
1936  # grep -c gives empty output for an empty file on some AIX systems.
1937  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1938  # Write a limited-size here document to conftest.frag.
1939  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1940  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1941  echo 'CEOF
1942  sed -f conftest.frag conftest.in > conftest.out
1943  rm -f conftest.in
1944  mv conftest.out conftest.in
1945' >> $CONFIG_STATUS
1946  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1947  rm -f conftest.vals
1948  mv conftest.tail conftest.vals
1949done
1950rm -f conftest.vals
1951
1952cat >> $CONFIG_STATUS <<\EOF
1953  rm -f conftest.frag conftest.h
1954  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1955  cat conftest.in >> conftest.h
1956  rm -f conftest.in
1957  if cmp -s $ac_file conftest.h 2>/dev/null; then
1958    echo "$ac_file is unchanged"
1959    rm -f conftest.h
1960  else
1961    # Remove last slash and all that follows it.  Not all systems have dirname.
1962      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1963      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1964      # The file is in a subdirectory.
1965      test ! -d "$ac_dir" && mkdir "$ac_dir"
1966    fi
1967    rm -f $ac_file
1968    mv conftest.h $ac_file
1969  fi
1970fi; done
1971
1972EOF
1973cat >> $CONFIG_STATUS <<EOF
1974
1975EOF
1976cat >> $CONFIG_STATUS <<\EOF
1977
1978exit 0
1979EOF
1980chmod +x $CONFIG_STATUS
1981rm -fr confdefs* $ac_clean_files
1982test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1983
Note: See TracBrowser for help on using the repository browser.